Subject: Re: [PATCH 0/2] firmware/psci: PSCI checker cleanup

From: Valentin Schneider <[email-masked]>
Date: Mon, 12 Oct 2020 14:17:44 +0100

Hi,

On 03/06/20 18:39, Valentin Schneider wrote:
> On 03/06/20 18:05, Sudeep Holla wrote:
>> On Fri, Apr 24, 2020 at 02:56:55PM +0100, Valentin Schneider wrote:
>>> Hi folks,
>>>
>>> This is a small cleanup of the PSCI checker following Peter's objections
>>> to its homegrown do_idle() implementation. It is based on his
>>> sched_setscheduler() unexport series at [1].
>>>
>>> I've never really used the thing before, but it still seems to behave
>>> correctly on my Juno r0 & HiKey960.
>>>
>>
>> Reviewed-by: Sudeep Holla <[email-masked]>
>> Tested-by: Sudeep Holla <[email-masked]>
>
> Thanks!
>
> AIUI the plan is to have the base in for the following version, so we
> can wait until then - or I can rebase this on top of mainline, and
> whoever will be on the receiving end of the merge conflict will be
> slightly annoyed :-)
>
> I'm in no particular rush, and this isn't very hot code, so up to you.
>

The sched_setscheduler() series is in 5.9. Patches apply cleanly atop 5.9,
and I double-checked on my Juno that they still actually work :-)

> _______________________________________________
> linux-arm-kernel mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel